Skip to main content
GET
/
v2
/
telematics
/
analytics
/
drivers
/
time-series
Get driver growth time series
curl --request GET \
  --url https://api.catenatelematics.com/v2/telematics/analytics/drivers/time-series \
  --header 'Authorization: Bearer <token>'
[
  {
    "date": "2023-12-25",
    "daily_count": 123,
    "cumulative_count": 123
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.catenatelematics.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

fleet_ids
string<uuid>[] | null

Limit results to specific fleets using Catena's fleet IDs. For your own fleet identifiers, use fleet_refs instead To specify multiple values, repeat the parameter for each value (e.g., ?fleet_ids=id1&fleet_ids=id2).

Maximum array length: 100
fleet_refs
string[] | null

Limit results to specific fleets using your organization's fleet reference identifiers. To specify multiple values, repeat the parameter for each value (e.g., ?fleet_refs=ref1&fleet_refs=ref2).

Maximum array length: 100
connection_id
string<uuid> | null

Limit results to a specific provider connection. This is the UUID assigned by Catena when your fleet connects to a TSP.

period_days
integer
default:30

Number of days to look back for time-series data.

Required range: 1 <= x <= 365

Response

Successful Response

date
string<date>
required

Calendar date for this data point (YYYY-MM-DD).

daily_count
integer
required

Number of new resources created on this specific date.

cumulative_count
integer
required

Running total of resources up to and including this date.